﻿Imports System.Net
Imports System.IO
Imports System.Text
Imports System.Xml

Public Class Form1



    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        txtPin.Text = "23"
        txtValue.Text = "-1"

    End Sub


    Private Sub btnGetXml_Click(sender As System.Object, e As System.EventArgs) Handles btnGetXml.Click
        Dim pin As String = txtPin.Text
        Dim value As String = txtValue.Text

        Dim xml As String = HttpGet(pin, value)
        BindNodes(xml)
    End Sub

    Protected Sub BindNodes(xml As String)
        Dim xDoc As XmlDocument = New XmlDocument()
        xDoc.LoadXml(xml)

        'Bind the xml node to the form labels
        lblPin.Text = xDoc.GetElementsByTagName("pin").Item(0).InnerText
        lblValue.Text = xDoc.GetElementsByTagName("value").Item(0).InnerText
        lblDir.Text = xDoc.GetElementsByTagName("dir").Item(0).InnerText

        txtXml.Text = xml

    End Sub

    Protected Function HttpGet(pin As String, value As String)
        Dim url As String = String.Format(My.Settings.serviceUrl, pin, value)

        Dim _uri As Uri = New Uri(url)

        ' Create a request
        Dim request As WebRequest = WebRequest.Create(_uri)

        ' Use the GET method
        request.Method = "GET"

        Dim response As WebResponse = request.GetResponse()
        Dim status As String = String.Empty

        Dim hres As HttpWebResponse = CType(response, HttpWebResponse)
        lblStatus.Text = hres.StatusCode

        'Get the response.
        Dim dataStream As Stream = request.GetResponse.GetResponseStream()

        ' Open the stream using a StreamReader for easy access.
        Dim reader As StreamReader = New StreamReader(dataStream)

        ' Read the content into a string.
        Dim responseFromServer As String = reader.ReadToEnd()

        ' Display the content.
        'Console.WriteLine(responseFromServer);

        ' Clean up the streams.
        reader.Close()
        dataStream.Close()

        Return responseFromServer
    End Function
End Class
